Skip to main content
Document Operations

Add party

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/{document}/parties

Adds a party to a document.

Adding an internal party

To add one of your account's internal parties to the document, send the account_party_uuid and reference fields. The rest of the party data will be copied from the respective "account party".

Adding an external party

To add an external party to the document, send these fields:

  • reference
  • entity_name
  • address
  • scope

Note: When adding a party that is linked to an account party, only reference can be provided. Attempting to set the other fields will cause the request to be rejected with a validation error.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Body

application/json
account_party_uuidstring

UUID of a party from Settings > My Parties. When this is provided, reference is the only other field that can be sent.

addressstring | null

The party's address

Maximum string length: 255
Example: 1 Oxford Road Henley Bridge HB1 1PQ
entity_namestring

The actual name of the party. i.e. name of the company or person. Must be non-null in order for the document to proceed to the signing stage

Maximum string length: 255
Example: Demo Inc.
referencestringrequired

A generic reference for the party

Maximum string length: 255
Example: Employer
scopeenum<string>

When this is internal_and_external, collaborators from this party may change the party's information. Required when account_party_uuid is not sent

Available options: internal, internal_and_external

Response

application/json

DocumentPartyResource

dataobjectrequired